Get Git configuration
Retrieve the Git configuration for a shared model, or a shared extension model in the Develop independently branch workflow that owns its own Git repository, separate from its parent model’s.
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The unique identifier of the shared model, or a shared extension model in the Develop independently branch workflow.
Query Parameters
Comma-separated list of additional fields to include in the response.
webhookSecret- Include the webhook secret in the response
webhookSecret Response
Git configuration retrieved successfully
Authentication method. ssh for deploy key, https_token for deploy token/PAT.
ssh, https_token "ssh"
Clone URL of the git repository (SSH or HTTPS)
"git@github.com:org/repo.git"
The target branch for Omni pull requests.
"main"
If true, all pull requests will create a branch in Omni, even those created outside of the tool.
false
If true, the shared model is read-only and can only be updated by merging pull requests to the base branch.
false
The git provider type.
github- GitHubgitlab- GitLabazure_devops- Azure DevOpsbitbucket- Bitbucket
github, gitlab, azure_devops, bitbucket "github"
Path to model files in the repository.
"omni/blobs_r_us"
SSH public key for repository access (deploy key). Null for HTTPS token auth (authMethod: https_token).
"ssh-ed25519 AAAA..."
Controls when pull requests are required for changes:
always- Required for all changesusers-only- Required only for user-initiated changesnever- Never required
always, users-only, never "users-only"
Deprecated. Use cloneUrl instead. SSH URL of the git repository.
"git@github.com:org/repo.git"
Custom web URL for the git repository, or null if not set.
"https://github.com/org/repo"
Webhook secret for signature verification. Only included if requested via ?include=webhookSecret.
Webhook URL to configure in your git provider.
"https://app.omni.co/api/webhooks/model/..."

